> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/warehouse/check-availability-on-a-serial-number-for-warehouse-and-product.md).

# Check availability on a serial number for warehouse and product.

For products with SerialNoRequired = ON\_RECEIVE. when availabilityType is not set, or DELIVER: Check if a serialnumber is in stock for a productUid and warehouseUid. Returns 200 if in stock, else 404. 200 is returned for all other products. when availabilityType = RECEIVE: Check if a serialnumber is NOT in stock for a productUid and warehouseUid. Returns 200 if not in stock, else 400. 200 is returned for all other products.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Warehouse","description":"Warehouse"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"availabilityTypeQuery":{"description":"Reference to an availabilityType.","explode":false,"in":"query","name":"availabilityType","schema":{"$ref":"#/components/schemas/AvailabilityTypeENUM"},"style":"form"}},"schemas":{"AvailabilityTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| RECEIVE  - Check for receive serial number|\n| DELIVER  - Check for deliver serial number|\n","enum":["RECEIVE","DELIVER"],"title":"AvailabilityTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/serialnumbers/{serialnumber}":{"get":{"description":"For products with SerialNoRequired = ON_RECEIVE. \nwhen availabilityType is not set, or DELIVER:\n  Check if a serialnumber is in stock for a productUid and warehouseUid. Returns 200 if in stock, else 404. \n  200 is returned for all other products.\nwhen availabilityType = RECEIVE:\n  Check if a serialnumber is NOT in stock for a productUid and warehouseUid. Returns 200 if not in stock, else 400. \n  200 is returned for all other products.\n","operationId":"get-tenants-stores-warehouses-stock-product-serialnumber-check","parameters":[{"$ref":"#/components/parameters/availabilityTypeQuery"}],"responses":{"200":{"description":"OK"}},"summary":"Check availability on a serial number for warehouse and product.","tags":["Warehouse"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/warehouse/check-availability-on-a-serial-number-for-warehouse-and-product.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
